commit df568263c51950ceed6f1fb42f80e99a2614c275
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 1 21:19:03 2022 +0100

    poppler 22.12.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 4 ++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 9 insertions(+), 5 deletions(-)

commit 198dc1d0674c0a462668e6868c35b1ee0e731005
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 7 01:12:35 2022 +0200

    Form::addFontToDefaultResources: Be stubborn in finding a font we
    can use

    Fixes #1272

 poppler/Form.cc            | 14 ++++++++++---
 poppler/GlobalParams.cc    | 52
 ++++++++++++++++++++++++++--------------------
 poppler/GlobalParams.h     |  6 +++---
 poppler/GlobalParamsWin.cc |  4 ++--
 4 files changed, 46 insertions(+), 30 deletions(-)

commit a5952ab70716a2d4f792a943c2dcf3068f1d6885
Author: Jeremy Bicha <jeremy.bicha@canonical.com>
Date:   Wed Nov 2 15:03:24 2022 +0100

    Revert "CI: Fix Debian brokenness"

    This reverts commit 8fcaa7c622d24761a9ecb3922f95d072077d6f34.

    Debian's systemd 252-2 fixed the bug in 252-1

 .gitlab-ci.yml | 1 -
 1 file changed, 1 deletion(-)

commit 8fcaa7c622d24761a9ecb3922f95d072077d6f34
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 1 10:11:41 2022 +0100

    CI: Fix Debian brokenness

 .gitlab-ci.yml | 1 +
 1 file changed, 1 insertion(+)

commit cc665f757af6b87dd245d36e079dd44d8d2d2182
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 1 09:40:01 2022 +0100

    poppler 22.11.0

 CMakeLists.txt   | 2 +-
 NEWS             | 6 ++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 10 insertions(+), 4 deletions(-)

commit a296982e1d5b4968b2bd044d80647ae6f9267526
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 30 09:52:57 2022 +0100

    Do not include a poppler/ file from a splash/ header

    In general we should not include them at all, neither from the .cc
    files, but at least keeping the .h clean is a step

 splash/Splash.cc             | 1 +
 splash/SplashBitmap.cc       | 1 +
 splash/SplashBitmap.h        | 6 ++++--
 splash/SplashXPathScanner.cc | 3 ++-
 utils/pdftoppm.cc            | 2 +-
 5 files changed, 9 insertions(+), 4 deletions(-)

commit bc4a0d9a2abfcd75d9b0ee4be3f7600905fe6001
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Jun 24 22:01:27 2022 +0200

    Form: Provide Unicode marker when ensuring fonts

    Form::ensureFontsForAllCharacters() needs input text with Unicode
    marker.
    Provide such in FormFieldText::setContentCopy().

 poppler/Form.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 111f38a722eedddd94faa52dda8c5e0da561fb41
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Jun 24 22:00:09 2022 +0200

    Cairo: Update font after restore

    Update font after restore (Q operator) if font has changed.
    This is important when entering text into forms if there
    are characters shown by default font after characters
    which needed new font.

    New method getRef() where added to CairoFont class to
    be able to easily compare fonts.

 poppler/CairoFontEngine.h | 3 +++
 poppler/CairoOutputDev.cc | 7 ++++++-
 poppler/CairoOutputDev.h  | 2 ++
 3 files changed, 11 insertions(+), 1 deletion(-)

commit 907d05a6a141284aee22fbd16ab0a2fb4e0f2724
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 21:30:05 2022 +0200

    Fix crash in file that wants to do huge transparency group

    huge = 2147483016 x 2

    Issue #1305

 splash/SplashBitmap.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e53f5aae3bce7d09788f2ad62be998895fb9807b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 21:15:29 2022 +0200

    PSOutputDev::setupResources: Fix stack overflow in malformed doc

    Issue #1304

 poppler/PSOutputDev.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit a4ca3a96a6b1f65b335a1ea362e6c202e46ae055
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 19 15:51:43 2022 +0200

    topIdx can't be negative

    Fixes crash on broken files. Issue #1303

 poppler/Form.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit e471f8e09bf2e38df0cf5df1acecbcca70685573
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:25:34 2022 +0200

    Init all the fields of JPXStreamPrivate

    oss-fuzz/52372

 poppler/JPEG2000Stream.cc | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 5190c0d4369bd9f501922585140be4ec736e24f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:21:59 2022 +0200

    No need to store smaskInData in priv

 poppler/JPEG2000Stream.cc | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit 6263bb90b09326103b10e4c4edfbc5b84c884921
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 16 12:07:12 2022 +0200

    Page label ranges can't start in < 0

    oss-fuzz/52140

 poppler/PageLabelInfo.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2b65dde7b0e402127b664aa1802ab990d59995b5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 3 18:11:20 2022 +0200

    poppler 22.10.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 18 ++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 23 insertions(+), 5 deletions(-)

commit 0ee0a90061abdd8858b1b6141f0e705088df29e9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 27 01:07:13 2022 +0200

    SplashOutputDev::tilingPatternFill: Properly restore CTM on failure

    Fixes issue #1292

 poppler/SplashOutputDev.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 315ab3006fb24bf47b595343e6a3e90995f2a588
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 17 10:28:00 2022 +0200

    CI: Update Fedora CI to 37, it's close enough to the release date

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 098b8622cc804c9fd41e2a56fbb2e116226b22b3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 15 23:32:48 2022 +0200

    Update (C)

 goo/GooString.cc  | 2 +-
 goo/GooString.h   | 2 +-
 poppler/PDFDoc.cc | 2 +-
 poppler/PDFDoc.h  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d6b7ef8794bad35366257e2644843f686326f4df
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Thu Sep 15 16:19:19 2022 +0200

    Remove the psmode argument from GooString::sanitizedName

    It is always 'false'.

 goo/GooString.cc  | 12 +-----------
 goo/GooString.h   |  3 +--
 poppler/PDFDoc.cc |  4 ++--
 3 files changed, 4 insertions(+), 15 deletions(-)

commit 48974ec48f6e42084d0ff98f546e7211949f5d39
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Thu Sep 15 16:02:07 2022 +0200

    Fix typos in method names

    'dictionary' has only one 'n'.

 poppler/PDFDoc.cc | 24 ++++++++++++------------
 poppler/PDFDoc.h  |  4 ++--
 2 files changed, 14 insertions(+), 14 deletions(-)

commit be94b9c1d46db29592817d4afda63d9733b70b36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 13 22:32:10 2022 +0200

    pdftotext: Simplify memory handling

 utils/pdftotext.cc | 112
 ++++++++++++++++++++---------------------------------
 1 file changed, 43 insertions(+), 69 deletions(-)

commit 7441d79e31de909954675a76d33ccb25147cf0ff
Author: Claes Nästén <pekdon@gmail.com>
Date:   Tue Jan 18 21:26:29 2022 +0100

    Replace parts of font parsing code with std::string alternative

    strndup is not available on all platforms, instead of adding a compat
    variant use std::string functionality for parsing instead.

 poppler/GlobalParams.cc | 80
 ++++++++++++++++++++++---------------------------
 1 file changed, 36 insertions(+), 44 deletions(-)

commit 2cd23e7e6de1e854e22c7fd666a9167a58662211
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 7 01:03:57 2022 +0200

    Update (C)

 utils/pdftocairo.cc | 1 +
 utils/pdftoppm.cc   | 1 +
 2 files changed, 2 insertions(+)

commit 756ab7a061f505722a92efdeb61765311d00e313
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 21 19:41:22 2022 +0200

    JBIG2Stream::readPatternDictSeg: Protect against some overflow

 poppler/JBIG2Stream.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 119af9e894a928d9bad7d4f9e1681e54c9923439
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Aug 9 23:37:07 2022 +0200

    Avoid round-off errors when determining raster dimensions.

    The code in pdftoppm.cc and pdftocairo.cc carefully avoided overflow
    when converting page sizes from points to pixels.

    This worked well when the math was performed at extended precision,
    as is done when using x387 opcodes, but could lead to results too
    large by a ulp when computed without extra precision.

    The code then needs to call ceil(3) to round fractional results up
    to the next larger integer, resulting in an off-by-one error if the
    computed size is even one ulp more than an integer.

    The initial size is already a multiple of 72, so rearranging the math
    to multiply before dividing by 72 avoids that imprecision.

    Issue #253

 utils/pdftocairo.cc | 2 +-
 utils/pdftoppm.cc   | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d06eb33d1668ca3a08055bd033d8f5ea725e5be7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 12 23:29:01 2022 +0200

    qt: Also take into account flagNoView when getting/setting the
    visible status

    KDE bug #456313

 qt5/src/poppler-form.cc | 10 +++++++++-
 qt6/src/poppler-form.cc | 10 +++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 9e0d0e65261384bde8cb7f1932738bbeb19d3292
Author: Carlo Cabrera <30379873+carlocab@users.noreply.github.com>
Date:   Thu Sep 1 13:18:39 2022 +0800

    Fix `sed` invocation.

    The current `sed` call works only for GNU sed. We can fix that
    by using
    the `-e` flag.

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4602cac96104b74037862e223bb774be26bfd67c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 1 00:30:57 2022 +0200

    poppler 22.09.0

 CMakeLists.txt     |  4 ++--
 NEWS               | 19 +++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 25 insertions(+), 6 deletions(-)

commit 0c9bfb401780d6e05adba58e03c3dbdfa44c9895
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Aug 31 11:07:14 2022 +0200

    Store 'gfx' as a std::unique_ptr

    Otherwise it will leak if charProc is not a stream (line 488).

    Found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 poppler/CairoFontEngine.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 9a3d991e62ba936495780007132299d73f3d603b
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Aug 31 11:05:18 2022 +0200

    Fix copy'n'paste bug in the check for bounding box correctness

    Found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 glib/tests/CMakeLists.txt | 2 +-
 glib/tests/check_bb.c     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c4cc5650067d4aca26091d187fb464eaee54bef0
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue Aug 30 14:30:34 2022 +0200

    Store destination_private in a std::unique_ptr

    This simplifies the code a bit.

    It also fixes a 'code smell' found by

      https://sonarcloud.io/project/overview?id=tsdgeos_poppler_mirror

 cpp/poppler-destination.cpp | 16 +++-------------
 cpp/poppler-destination.h   |  4 +++-
 2 files changed, 6 insertions(+), 14 deletions(-)

commit eb6b42a12a81cdf84b64db9e4e44b5158dcb8a3a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Tue Aug 30 14:26:43 2022 +0200

    Make noncopyable objects move-assignable

    Move-assignment needs to be allowed explicitly, because
    otherwise derived classes that implement operator=(&&)
    will try to use noncopyable::operator=(&), which is
    not allowed.

 cpp/poppler-global.cpp | 3 +++
 cpp/poppler-global.h   | 2 ++
 2 files changed, 5 insertions(+)

commit 4f7ae5bbcf10e8eec44e08b885504a1115fb05a4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 31 00:05:27 2022 +0200

    Update (C)

 poppler/Annot.cc            | 1 +
 poppler/PDFDoc.cc           | 1 +
 poppler/SignatureHandler.cc | 1 +
 3 files changed, 3 insertions(+)

commit 5c3cbea4044fed263fe5e34d911e9db85d55bdf4
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Thu Aug 4 10:31:16 2022 -0600

    SignatureHandler: Fix getSignerName when signing_cert is available
    but CMSSignerInfo is not

 poppler/SignatureHandler.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8452b0dee6b5267e785bf6dea4d7b537a4cfb637
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Sat Jul 30 15:40:08 2022 -0600

    Form: When signing with an appearance, ensure that a Form exists

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2beb458226509c3babd78e658e1a8ac72ccfb2b8
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Sat Jul 30 10:27:23 2022 -0600

    Annot: Fix applying signatures to fields that are not part of a form

 poppler/Annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 977dd2171fc3cf91d4a9d5855e379c39df8ee77e
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Fri Jul 29 17:04:36 2022 -0600

    PDFDoc: Fix finding signature fields not associated with a form

 poppler/PDFDoc.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 6b5437a07535d5fd07c114e71c2cbff9b2a2f454
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 29 00:45:19 2022 +0200

    Fix memory leak in TextStringToUTF8

 utils/pdfsig.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 27354e9d9696ee2bc063910a6c9a6b27c5184a52
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 25 00:14:22 2022 +0200

    JBIG2Stream: Fix crash on broken file

    https://github.com/jeffssh/CVE-2021-30860

    Thanks to David Warren for the heads up

 poppler/JBIG2Stream.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 619bfc1f280eed11523e6f8756460ed2598769b9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 23 22:31:24 2022 +0200

    cmake: Better linking against GTK3

 glib/demo/CMakeLists.txt  | 7 -------
 glib/tests/CMakeLists.txt | 7 +------
 test/CMakeLists.txt       | 9 ++-------
 3 files changed, 3 insertions(+), 20 deletions(-)

commit 5bec49749b9a2a9b4779a977f673531b42470264
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 22:20:17 2022 +0200

    We can use isnan now

 poppler/Function.cc               | 4 ++--
 poppler/MarkedContentOutputDev.cc | 6 +++---
 poppler/TextOutputDev.cc          | 3 +--
 3 files changed, 6 insertions(+), 7 deletions(-)

commit 03c7bbd6216cbfac257243b59453084f5f52e354
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:52:11 2022 +0200

    JBIG2Stream::readHalftoneRegionSeg: Fix potential memory leak

 poppler/JBIG2Stream.cc | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit d1b1535af673170c5e094b924dd3cc122890270e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:41:38 2022 +0200

    pdfunite: Fix potential memory leak of docs

 utils/pdfunite.cc | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 99889f51e95169c4946f3bbd74adb317bf3b64a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 18:38:06 2022 +0200

    glib: Fix two potential memory leaks in
    poppler_document_create_dests_tree

 glib/poppler-document.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit efb68686784f0c58668b7ced990fd173e09346db
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 18 23:41:24 2022 +0200

    pdfunite: Don't crash in broken documents

 utils/pdfunite.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit b976740c3dfb8e29ee716a9ab19ba5bb4106f5a0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 19 13:41:27 2022 +0200

    CI: remove workarounds for cmake 3.24.0

    now that they have 3.24.1

 .gitlab-ci.yml           |  4 ++--
 CMakeLists.txt           |  6 ------
 qt5/tests/CMakeLists.txt | 24 ------------------------
 qt6/tests/CMakeLists.txt | 24 ------------------------
 4 files changed, 2 insertions(+), 56 deletions(-)

commit c569e5d819de1e53813ebd8409e57c297d069537
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 13 18:55:57 2022 +0200

    Add (C)

 poppler/PDFDoc.h | 1 +
 1 file changed, 1 insertion(+)

commit 4564a002bcb6094cc460bc0d5ddff9423fe6dd28
Author: crt <chluo@cse.cuhk.edu.hk>
Date:   Sat Aug 13 16:53:11 2022 +0000

    pdfunite: Fix crash on broken files

 poppler/PDFDoc.cc | 6 +++++-
 poppler/PDFDoc.h  | 2 +-
 utils/pdfunite.cc | 9 ++++++++-
 3 files changed, 14 insertions(+), 3 deletions(-)

commit c9c5eb782a8820f328dc32bcaf74d7f0b2cb6d7a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sun Aug 7 10:49:00 2022 +0200

    Use std::vector to store dash patterns

    Makes the code more readable.

 poppler/Annot.cc              | 73
 +++++++++++--------------------------------
 poppler/Annot.h               |  6 ++--
 poppler/CairoOutputDev.cc     |  8 ++---
 poppler/Gfx.cc                | 33 ++++++-------------
 poppler/GfxState.cc           | 16 ++--------
 poppler/GfxState.h            | 11 +++----
 poppler/PSOutputDev.cc        |  8 ++---
 poppler/PreScanOutputDev.cc   |  6 ++--
 poppler/SplashOutputDev.cc    |  9 ++----
 qt5/src/QPainterOutputDev.cc  | 10 +++---
 qt5/src/poppler-annotation.cc | 15 +++++----
 qt6/src/QPainterOutputDev.cc  | 10 +++---
 qt6/src/poppler-annotation.cc | 11 ++-----
 13 files changed, 67 insertions(+), 149 deletions(-)

commit b8aaf51d69938412f9cca215d3825f53931706d6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 9 00:21:00 2022 +0200

    Workaround cmake 3.24.0 warning-y code

    https://gitlab.kitware.com/cmake/cmake/-/issues/23823

 .gitlab-ci.yml           |  6 ++----
 CMakeLists.txt           |  6 ++++++
 qt5/tests/CMakeLists.txt | 24 ++++++++++++++++++++++++
 qt6/tests/CMakeLists.txt | 24 ++++++++++++++++++++++++
 4 files changed, 56 insertions(+), 4 deletions(-)

commit 6ea5c63b7d8a1728f178b3a5d377bca3a17f7447
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 7 13:20:13 2022 +0200

    clang-format-14 reformat to ignore-revs file

 .git-blame-ignore-revs | 2 ++
 1 file changed, 2 insertions(+)

commit a94a444e5acff86e04d1688d862e81a82108cf03
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 16:31:10 2022 +0200

    CI: clang 13 -> 14

 .gitlab-ci.yml            |  19 ++--
 README.contributors       |   2 +-
 goo/gfile.h               |  10 +-
 poppler/CairoOutputDev.h  | 100 ++++++++++++++----
 poppler/Gfx.h             |  10 +-
 poppler/GfxState.h        |  65 +++++++++---
 poppler/GlobalParams.cc   |   5 +-
 poppler/OutputDev.h       | 107 +++++++++++++++----
 poppler/PDFDoc.h          | 260
 ++++++++++++++++++++++++++++++++++++----------
 poppler/PSOutputDev.h     | 155 +++++++++++++++++++++------
 poppler/SplashOutputDev.h |  15 ++-
 poppler/TextOutputDev.h   | 125 +++++++++++++++++-----
 qt5/src/poppler-private.h |   5 +-
 qt6/src/poppler-private.h |   5 +-
 splash/Splash.h           |  15 ++-
 utils/InMemoryFile.h      |   5 +-
 16 files changed, 715 insertions(+), 188 deletions(-)

commit 1abe4a246adc4b655b7e2bf9a00c537d8d360329
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 6 11:50:40 2022 +0200

    Save copying data in SplashState::setLineDash

 poppler/SplashOutputDev.cc |  6 +++---
 splash/Splash.cc           | 35 ++++++++++++-----------------------
 splash/Splash.h            |  6 ++----
 splash/SplashState.cc      | 27 ++++-----------------------
 splash/SplashState.h       |  9 ++++-----
 5 files changed, 25 insertions(+), 58 deletions(-)

commit 58e30f9aac59437c438b973bedc6a7982349c63a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sat Aug 6 09:53:52 2022 +0200

    Do not truncate line dash patterns with more than 20 entries

    Because otherwise files with longer patterns will not render
    correctly.  One example is the file in

      https://gitlab.freedesktop.org/poppler/poppler/-/issues/1281

    Fixes: 1281

 poppler/SplashOutputDev.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 56a7f817567d65ce62bea03af27c0e60340116f4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 5 23:24:30 2022 +0200

    CI: workaround cmake 3.24.0 issues

    https://gitlab.kitware.com/cmake/cmake/-/issues/23823

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit da27bb857f733ac0cd2115ba90b802d5e4382bc6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 4 01:41:46 2022 +0200

    pdfsig: signatureNumber doesn't need to be global anymore

 utils/pdfsig.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a08fc031c7ef42f6aeb1b3d034c9627cba701a7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 4 01:40:50 2022 +0200

    Update (C)

 poppler/Form.cc | 1 +
 utils/pdfsig.cc | 1 +
 2 files changed, 2 insertions(+)

commit 64ccb8d248611fd1d7aef279d08ea7589a4e1fcb
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Mon Aug 1 16:02:05 2022 -0600

    pdfsig: Add support for specifying signature by field name

 utils/pdfsig.1  |  4 ++--
 utils/pdfsig.cc | 32 +++++++++++++++++++++++++++++++-
 2 files changed, 33 insertions(+), 3 deletions(-)

commit ec71a5dc45039f2a8352b99803e98c148a2679a8
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Fri Jul 29 10:12:53 2022 -0600

    pdfsig: List signature field names when listing signature information

 utils/pdfsig.cc | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 41af89601202f7973a6044f31ed14eba05c77f9a
Author: Erich E. Hoover <erich.e.hoover@gmail.com>
Date:   Tue Aug 2 14:12:06 2022 -0600

    Fix convertToUtf16 so it does not add the Unicode marker to the
    output string

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c42f7482ca3ab9ec6945c4975b8fb6f0a2cb7cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 2 23:18:41 2022 +0200

    Fix error() string formatting

 poppler/Form.cc         | 18 +++++++++---------
 poppler/GlobalParams.cc |  4 ++--
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 12853d22e9d0527c10ada02666aef629db3e5e7c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 1 23:06:48 2022 +0200

    22.08.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 6 ++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 11 insertions(+), 5 deletions(-)

commit 78e939131f868e3ea6541ee1c096d82cd548e706
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 1 21:33:25 2022 +0200

    Fix infinite recursion in broken files

    oss-fuzz/49702

 poppler/Annot.cc | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

commit a89c3c27e02e9c300aa667c966d91fdf787c7d0a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jul 30 19:13:31 2022 +0200

    Merge Form DR into widget DR

    Fixes #1189
    Fixes #1267

 poppler/Annot.cc | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit e57106ffc5b2589e6d1e11182f1ff9e5370848f2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 1 00:00:11 2022 +0200

    Update clang used for clazy

 .gitlab-ci.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8677500399fc2548fa816b619580c2c07915a98c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 23:28:35 2022 +0200

    pdfseparate: Account for XRef::add failing because we run out
    of memory

    Fixes #1278

 poppler/PDFDoc.cc | 63
 ++++++++++++++++++++++++++++++++++++++++++-------------
 poppler/PDFDoc.h  |  6 +++---
 poppler/XRef.cc   | 11 ++++++++--
 poppler/XRef.h    |  4 ++--
 4 files changed, 62 insertions(+), 22 deletions(-)

commit ae6be1946e4eefd0d4f798930f9dfbb6fe332959
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 22:52:57 2022 +0200

    Update (C)

    and fix format, somehow i landed this without waiting for CI results,
    bad bad Albert

 utils/pdfunite.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4631115647c1e4f0482ffe0491c2f38d2231337b
Author: crt <chluo@cse.cuhk.edu.hk>
Date:   Fri Jul 29 20:51:11 2022 +0000

    Check isDict before calling getDict

    Issue #1276

 utils/pdfunite.cc | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit cb1f2a685461b60e05d503165d05ea6c557ff277
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 20:59:28 2022 +0200

    JBIG2Stream: Fix crash on broken files

    oss-fuzz/49406

 poppler/JBIG2Stream.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 8f874169e5d43418873b40e86954b86c01f7ba99
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 16:26:20 2022 +0200

    Generate qt6 docs

 .gitlab-ci.yml | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit b443f529a1a35b9d5028cb95c6dcc0111e1acec1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 29 00:25:33 2022 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 poppler/PDFDoc.cc          | 1 +
 2 files changed, 2 insertions(+)

commit 2e3c53b71f78b13f2afdb122c2d59243de70ac45
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 28 01:10:27 2022 +0200

    Fix leak in early return check that was just introduced

 poppler/PDFDoc.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit dcd5bd8238ea448addd102ff045badd0aca1b990
Author: crt <chluo@cse.cuhk.edu.hk>
Date:   Wed Jul 27 08:40:02 2022 +0000

    pdfseparate: Check XRef's Catalog for being a Dict

 poppler/PDFDoc.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit b96437128742e87a7603fa2a4d74baeda8368fba
Author: Marcel Fabian Krüger <tex@2krueger.de>
Date:   Thu Jul 21 23:47:39 2022 +0200

    Support Type3 charprocs having Resources in Cairo

    In !955 the same was done for OutputDevs with
    interpretType3Chars()=true,
    this adds similar handling to CairoFontEngine.

 poppler/CairoFontEngine.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit bb1651334abc11495fa0326c8d562243d2a4b055
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 4 20:09:04 2022 +0200

    poppler 22.07.0

 CMakeLists.txt      |  2 +-
 NEWS                | 14 ++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 19 insertions(+), 5 deletions(-)

commit 16812b7f41ea2a7299449415aae89d3d812b6b47
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 4 00:18:22 2022 +0200

    Update (C)

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0e4ff30be462cae010d22d291ab282f5d86a5e3
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Wed May 11 21:07:30 2022 -0400

    glib: add support for stamp annotation

    Creates new PopplerAnnotStamp type with the
    following public api:

    PopplerAnnot *poppler_annot_stamp_new(PopplerDocument *doc,
    PopplerRectangle *rect);
    PopplerAnnotStampIcon poppler_annot_stamp_get_icon(PopplerAnnotStamp
    *poppler_annot);
    void poppler_annot_stamp_set_icon(PopplerAnnotStamp *poppler_annot,
    PopplerAnnotStampIcon icon);
    gboolean poppler_annot_stamp_set_custom_image(PopplerAnnotStamp
    *poppler_annot, cairo_surface_t *image, GError **error);

    Updates poppler-glib-demo to test PopplerAnnotStamp
    including the custom image support.

 glib/demo/annots.c                  | 171 ++++++++++++++++++++-
 glib/poppler-annot.cc               | 288
 ++++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h                |  35 +++++
 glib/poppler-page.cc                |   3 +
 glib/poppler-private.h              |   2 +
 glib/poppler.h                      |   1 +
 glib/reference/poppler-sections.txt |  10 ++
 glib/reference/poppler.types        |   1 +
 8 files changed, 507 insertions(+), 4 deletions(-)

commit 40762b05b73ec790c8cbe33ab76770f181f67aee
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Jun 19 19:28:52 2022 -0400

    Form.cc: Fix crash in Form::ensureFontsForAllCharacters()

    code was assuming that defaultResources->lookupFont() would
    never return null.

    Fixes #1258

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 188aa1f8547e945752344e4e2294d4eafa167018
Author: Fabian Keßler <fabian_kessler@gmx.de>
Date:   Mon Jun 20 18:55:31 2022 +0000

    Fixes 2 MSVC compilation bugs

 glib/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a59bd7fa60609beb0e59eef0706ffe69f98e5beb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 17 19:50:31 2022 +0200

    Update (C)

 poppler/NameToUnicodeTable.h | 1 +
 1 file changed, 1 insertion(+)

commit 9f938008f64bba382095fe6044a786950e059bae
Author: Vincent Lefevre <vincent@vinc17.net>
Date:   Fri Jun 17 17:51:02 2022 +0200

    Add ToUnicode support for lessorequalslant and greaterorequalslant

    Character names lessorequalslant and greaterorequalslant are generated
    from \leqslant and \geqslant in LaTeX with the amssymb package. They
    correspond to the Unicode characters
      U+2A7D LESS-THAN OR SLANTED EQUAL TO
      U+2A7E GREATER-THAN OR SLANTED EQUAL TO

 poppler/NameToUnicodeTable.h | 2 ++
 1 file changed, 2 insertions(+)

commit 8a14a2dd6fb837944a4465646b8154d75fe6c3cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 16 19:18:21 2022 +0200

